org.h2.command.dml

## Class Merge

- java.lang.Object
- - org.h2.command.Prepared
  - - org.h2.command.dml.CommandWithValues
    - - org.h2.command.dml.Merge

All Implemented Interfaces:
  DataChangeStatement

    public class Merge
    extends CommandWithValues
    implements DataChangeStatement

This class represents the statement MERGE or the MySQL compatibility statement REPLACE

### Field Summary

### Fields inherited from class org.h2.command.dml.CommandWithValues

`valuesExpressionList`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement`

### Constructor Summary

Constructors
Constructor and Description
`Merge(Session session, boolean isReplace)`

### Method Summary

Methods
`void` `collectDependencies(java.util.HashSet<DbObject> dependencies)` Find and collect all DbObjects, this Prepared depends on.
`java.lang.String` `getPlanSQL(boolean alwaysQuote)` Get the SQL statement with the execution plan.
`java.lang.String` `getStatementName()` Return the name of this statement.
`Table` `getTable()` Return the target table.
`int` `getType()` Get the command type as defined in CommandInterface
`boolean` `isCacheable()`
`boolean` `isTransactional()` Check if this command is transactional.
`void` `prepare()` Prepare this statement.
`ResultInterface` `queryMeta()` Get an empty result set containing the meta data.
`void` `setColumns(Column[] columns)`
`void` `setCommand(Command command)` Set the command.
`void` `setDeltaChangeCollector(ResultTarget deltaChangeCollector, DataChangeDeltaTable.ResultOption deltaChangeCollectionMode)` Set the delta change collector and collection mode.
`void` `setKeys(Column[] keys)`
`void` `setQuery(Query query)`
`void` `setTable(Table table)`
`int` `update()` Execute the statement.

### Methods inherited from class org.h2.command.dml.CommandWithValues

`addRow`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, getCteCleanups, getCurrentRowNumber, getObjectId, getParameters, getPersistedObjectId, getSession, getSimpleSQL, getSQL, getSQL, isQuery, isReadOnly, needRecompile, query, setCteCleanups, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.command.dml.DataChangeStatement

`getSQL`

### Constructor Detail

#### Merge

    public Merge(Session session,
         boolean isReplace)

### Method Detail

#### setCommand

    public void setCommand(Command command)

Description copied from class: `Prepared`
Set the command.

Overrides:
  `setCommand` in class `Prepared`
Parameters:
  `command` - the new command

#### getTable

    public Table getTable()

Description copied from interface: `DataChangeStatement`
Return the target table.

Specified by:
  `getTable` in interface `DataChangeStatement`
Returns:
  the target table

#### setTable

    public void setTable(Table table)

#### setColumns

    public void setColumns(Column[] columns)

#### setKeys

    public void setKeys(Column[] keys)

#### setQuery

    public void setQuery(Query query)

#### setDeltaChangeCollector

    public void setDeltaChangeCollector(ResultTarget deltaChangeCollector,
                               DataChangeDeltaTable.ResultOption deltaChangeCollectionMode)

Description copied from interface: `DataChangeStatement`
Set the delta change collector and collection mode.

Specified by:
  `setDeltaChangeCollector` in interface `DataChangeStatement`
Parameters:
  `deltaChangeCollector` - target result
  `deltaChangeCollectionMode` - collection mode

#### update

    public int update()

Description copied from class: `Prepared`
Execute the statement.

Specified by:
  `update` in interface `DataChangeStatement`
Overrides:
  `update` in class `Prepared`
Returns:
  the update count

#### getPlanSQL

    public java.lang.String getPlanSQL(boolean alwaysQuote)

Description copied from class: `Prepared`
Get the SQL statement with the execution plan.

Overrides:
  `getPlanSQL` in class `Prepared`
Parameters:
  `alwaysQuote` - quote all identifiers
Returns:
  the execution plan

#### prepare

    public void prepare()

Description copied from class: `Prepared`
Prepare this statement.

Specified by:
  `prepare` in interface `DataChangeStatement`
Overrides:
  `prepare` in class `Prepared`

#### isTransactional

    public boolean isTransactional()

Description copied from class: `Prepared`
Check if this command is transactional. If it is not, then it forces the current transaction to commit.

Specified by:
  `isTransactional` in class `Prepared`
Returns:
  true if it is

#### queryMeta

    public ResultInterface queryMeta()

Description copied from class: `Prepared`
Get an empty result set containing the meta data.

Specified by:
  `queryMeta` in class `Prepared`
Returns:
  the result set

#### getType

    public int getType()

Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type

#### getStatementName

    public java.lang.String getStatementName()

Description copied from interface: `DataChangeStatement`
Return the name of this statement.

Specified by:
  `getStatementName` in interface `DataChangeStatement`
Returns:
  the short name of this statement.

#### isCacheable

    public boolean isCacheable()

Overrides:
  `isCacheable` in class `Prepared`

#### collectDependencies

    public void collectDependencies(java.util.HashSet<DbObject> dependencies)

Description copied from class: `Prepared`
Find and collect all DbObjects, this Prepared depends on.

Overrides:
  `collectDependencies` in class `Prepared`
Parameters:
  `dependencies` - collection of dependencies to populate